Post
/message/validateList
Validates a list of messages for the following functionality: checks that the message is valid (InvalidObjectError -> objecttype message), checks that the message does not contain any invalid content store items, checks that the message does not use archived Attributes (InvalidObjectError -> objecttype attribute).
Request body example:
["1800249570","1800202306"]
Body parameters
Array of integer
integer (int64)
Responses
200
Example response:
[{
"entityId": 1800249570,
"errorCode": "ARCHIVED_ATTRIBUTE",
"errorMessage": "Message contains archived attribute(s) user.CustomAttribute.Attribute1"
}, {
"entityId": 1800202306,
"errorCode": null,
"errorMessage": null
}]
object
entityId
integer (int64)
errorCode
string
Valid values[
"ARCHIVED_ATTRIBUTE",
"BLACKLISTED",
"INCORRECT_STATUS",
"INVALID_ATTRIBUTE",
"INVALID_ATTRIBUTE_VALUE",
"INVALID_JOB_ARGUMENT",
"INVALID_JOB_DEFINITION_ID",
"INVALID_PARAMETER",
"INVALID_REQUEST",
"MAXIMUM_ATTRIBUTE_COUNT_EXCEEDED",
"MAXIMUM_SIZE_EXCEEDED",
"MISSING_JOB_ARGUMENT",
"MISSING_PARAMETER",
"NO_SUCH_ATTRIBUTE",
"NO_SUCH_OBJECT",
"OBJECT_ALREADY_EXISTS",
"OPERATION_DISABLED",
"PERMISSION_DENIED",
"SOCIAL_USER_MANAGEMENT_ERROR",
"SYSTEM_USER_HAS_BILLING_ITEMS",
"SYSTEM_USER_HAS_SOCIAL_ROLE",
"SYSTEM_USER_IS_INACTIVE",
"SYSTEM_USER_IS_OWNER",
"UNEXPECTED_ERROR"
]
errorMessage
string
400